import java.awt.*;
import javax.swing.*;
import java.awt.image.*;

class ImpostoDeRenda extends TabItem
{             
   ImageIcon img = new ImageIcon("ImpostoDeRenda.gif");
   ImageIcon imgGrande = new ImageIcon("ImpostoDeRendaGrande.gif");

   //***********************************************************
   //*
   //* Mtodo: tipoItem
   //*
   //* retorna o tipo desse item do tabuleiro 
   //*
   //***********************************************************    
   public String tipoItem()
   {
      return "ImpostoDeRenda";
   }   

   //***********************************************************
   //*
   //* Mtodo: acao
   //*
   //* executa a ao correspondente quando o jogador cai nesse item no tabuleiro
   //*
   //***********************************************************             
   public void acao(Jogador j)
   {
      j.removeDinheiro(200);      
      JOptionPane.showMessageDialog(null,"Imposto de Renda - Pague R$200");                           
   }
   
   //***********************************************************
   //*
   //* Mtodo: desenha
   //*
   //* desenha o item no tabuleiro
   //*
   //***********************************************************    
   public void desenha(Graphics g)   
   {  
      g.setColor(Color.black);
      g.drawRect(posx+1,posy+1,59,59);
                  
      g.drawImage(img.getImage(),posx+1,posy+1,new JButton());                                                 
   }
   
   //***********************************************************
   //*
   //* Mtodo: desenhaDetalhado
   //*
   //* desenha o item detalhado
   //*
   //***********************************************************    
   public void desenhaDetalhado(Graphics g,int x,int y)   
   {                 
      g.setColor(Color.black);
      g.drawRect(x,y,171,196);
      g.drawRect(x,y,172,197);
      
      g.drawImage(imgGrande.getImage(),x+56,y+9,new JButton());
      
      g.setFont(new Font("Verdana",Font.BOLD,12));
      
      String str = "Imposto de Renda";
      int tamStr = g.getFontMetrics().stringWidth(str);
      g.drawString(str,x+(int)(86-tamStr/2),y+140);
      
      g.drawString("PAGUE 200",x+9,y+180);
                                                          
   }     
   
   
   

}