import java.awt.*;
import javax.swing.*;
import java.awt.image.*;

class SorteReves extends TabItem
{             
   ImageIcon img = new ImageIcon("SorteReves.gif");
   ImageIcon imgGrande = new ImageIcon("SorteRevesGrande.gif");

   //***********************************************************
   //*
   //* Mtodo: tipoItem
   //*
   //* retorna o tipo desse item do tabuleiro 
   //*
   //***********************************************************    
   public String tipoItem()
   {
      return "SorteReves";
   }   

   //***********************************************************
   //*
   //* Mtodo: acao
   //*
   //* executa a ao correspondente quando o jogador cai nesse item no tabuleiro
   //*
   //***********************************************************             
   public void acao(Jogador j)
   {
      int valor = 0;
      double sorteio = Math.random();
      
      if(sorteio < 0.2){
         valor = 15;
      }else if(sorteio < 0.4){
         valor = 25;
      }else if(sorteio < 0.6){
         valor = 35;
      }else if(sorteio < 0.7){
         valor = 50;
      }else if(sorteio < 0.8){
         valor = 75;
      }else if(sorteio < 0.9){
         valor = 100;
      }else{
         valor = 200;
      }      
      
      //SORTE
      if(Math.random() < 0.5)
      {                           
         JOptionPane.showMessageDialog(null,"SORTE - Receba R$"+valor);
         j.addDinheiro(valor);
      }
      //REVES
      else
      {
         JOptionPane.showMessageDialog(null,"REVS - PAGUE R$"+valor);
         j.removeDinheiro(valor);
      }
      
   }
   
   //***********************************************************
   //*
   //* Mtodo: desenha
   //*
   //* desenha o item no tabuleiro
   //*
   //***********************************************************    
   public void desenha(Graphics g)   
   {  
      g.setColor(Color.black);
      g.drawRect(posx+1,posy+1,59,59);
                  
      g.drawImage(img.getImage(),posx+9,posy+9,new JButton());
                                    
      //g.setColor(Color.black);
      //g.fillRoundRect(posx+9,posy+9,43,43,6,6);            
            
      //g.setColor(new Color(252,242,156));
      //g.fillRoundRect(posx+11,posy+11,39,39,6,6);            
      
      //g.setColor(Color.red);
      //g.fillOval(posx+13,posy+13,35,35);
      
      //g.setColor(new Color(252,242,156));
      //g.fillOval(posx+16,posy+16,29,29);
      
      //g.setColor(Color.red);
      //g.setFont(new Font("Verdana", Font.BOLD, 24));
      //g.drawString("?",posx+23,posy+38);                
   }
   
   //***********************************************************
   //*
   //* Mtodo: desenhaDetalhado
   //*
   //* desenha o item detalhado
   //*
   //***********************************************************    
   public void desenhaDetalhado(Graphics g,int x,int y)   
   {                 
      g.setColor(Color.black);
      g.drawRect(x,y,171,196);
      g.drawRect(x,y,172,197);
      
      g.drawImage(imgGrande.getImage(),x+56,y+9,new JButton());            
      
      g.setFont(new Font("Verdana",Font.BOLD,12));
      
      String str = "Sorte ou Reves";
      int tamStr = g.getFontMetrics().stringWidth(str);
      g.drawString(str,x+(int)(86-tamStr/2),y+140);
                                                                      
   }        
   
   
   

}