import java.awt.*;
import javax.swing.*;
import java.awt.image.*;

class Prisao extends TabItem
{             
   ImageIcon img = new ImageIcon("Prisao.gif");
   ImageIcon imgGrande = new ImageIcon("PrisaoGrande.gif");

   //***********************************************************
   //*
   //* Mtodo: tipoItem
   //*
   //* retorna o tipo desse item do tabuleiro 
   //*
   //***********************************************************    
   public String tipoItem()
   {
      return "Prisao";
   }   

   //***********************************************************
   //*
   //* Mtodo: acao
   //*
   //* executa a ao correspondente quando o jogador cai nesse item no tabuleiro
   //*
   //***********************************************************             
   public void acao(Jogador j)
   {
      if(! j.estaPreso())
         JOptionPane.showMessageDialog(null,"PRISO - Visitante");
      else
      {
      	 if(j.getDado1() == j.getDado2() || j.getRodadasPreso() == 3)
      	 {
      	    j.anda(j.getDado1(),j.getDado2());
      	    j.setPreso(false);
      	    if(j.getRodadasPreso()==3)
      	       j.removeDinheiro(50);
      	    j.setRodadasPreso(0);
      	 }
      	 else
      	 {     	 
      	    j.setRodadasPreso(j.getRodadasPreso() +1);
      	    JOptionPane.showMessageDialog(null,"Rodadas Preso: "+j.getRodadasPreso());
      	 }
      }
   }
   
   //***********************************************************
   //*
   //* Mtodo: desenha
   //*
   //* desenha o item no tabuleiro
   //*
   //***********************************************************    
   public void desenha(Graphics g)   
   {  
      g.setColor(Color.black);
      g.drawRect(posx+1,posy+1,59,59);
                  
      g.drawImage(img.getImage(),posx+2,posy+2,new JButton());                                    
             
   }
   
   //***********************************************************
   //*
   //* Mtodo: desenhaDetalhado
   //*
   //* desenha o item detalhado
   //*
   //***********************************************************    
   public void desenhaDetalhado(Graphics g,int x,int y)   
   {                 
      g.setColor(Color.black);
      g.drawRect(x,y,171,196);
      g.drawRect(x,y,172,197);
      
      g.drawImage(imgGrande.getImage(),x+56,y+9,new JButton());            
      
      g.setFont(new Font("Verdana",Font.BOLD,12));
      
      String str = "PRISO";
      int tamStr = g.getFontMetrics().stringWidth(str);
      g.drawString(str,x+(int)(86-tamStr/2),y+140);
                                                                      
   }        
     
   

}