import java.awt.*;
import javax.swing.*;
import java.awt.image.*;

class VaParaAPrisao extends TabItem
{             
   ImageIcon img = new ImageIcon("VaParaAPrisao.gif");
   ImageIcon imgGrande = new ImageIcon("VaParaAPrisaoGrande.gif");
   TabItem prisao;

   //***********************************************************
   //*
   //* construtor
   //*
   //***********************************************************
   public VaParaAPrisao(TabItem prisao)
   {
      this.prisao = prisao;
   }

   //***********************************************************
   //*
   //* Mtodo: tipoItem
   //*
   //* retorna o tipo desse item do tabuleiro 
   //*
   //***********************************************************    
   public String tipoItem()
   {
      return "VaParaAPrisao";
   }   

   //***********************************************************
   //*
   //* Mtodo: acao
   //*
   //* executa a ao correspondente quando o jogador cai nesse item no tabuleiro
   //*
   //***********************************************************             
   public void acao(Jogador j)
   {
      this.desestaciona(j);      
      prisao.estaciona(j);
      j.setPreso(true);
      j.setPosicaoAtual(prisao);
      JOptionPane.showMessageDialog(null,"Voce foi preso. Tire dois nmeros iguais nos dados ou espere tres rodadas e pague R$50,00 para sair");
      
   }
   
   //***********************************************************
   //*
   //* Mtodo: desenha
   //*
   //* desenha o item no tabuleiro
   //*
   //***********************************************************    
   public void desenha(Graphics g)   
   {  
      g.setColor(Color.black);
      g.drawRect(posx+1,posy+1,59,59);
                  
      g.drawImage(img.getImage(),posx+2,posy+2,new JButton());                                                 
   }
   
   //***********************************************************
   //*
   //* Mtodo: desenhaDetalhado
   //*
   //* desenha o item detalhado
   //*
   //***********************************************************    
   public void desenhaDetalhado(Graphics g,int x,int y)   
   {                 
      g.setColor(Color.black);
      g.drawRect(x,y,171,196);
      g.drawRect(x,y,172,197);
      
      g.drawImage(imgGrande.getImage(),x+56,y+9,new JButton());            
      
      g.setFont(new Font("Verdana",Font.BOLD,12));
      
      String str = "V PARA A PRISO";
      int tamStr = g.getFontMetrics().stringWidth(str);
      g.drawString(str,x+(int)(86-tamStr/2),y+140);
                                                                      
   }        
   
   
   

}